--------------------------------------------------------------------------------
-- Code developed by Generis Technology Limited
--
-- Product Name: B-Smart
--
-- Component Name: Meter Asset Manager
--
-- Description: Script to apply MDD change 15/012
-- Note that SPAA does not provide a meter manufacturer org id and you need to add this into 
-- the B-Smart Cross Reference table for the Manufacturer Code once the org id is made known to you by the industry.
--
-- Amendment History:                   Date        Author            Vers
-- ------------------                   ---------   -------           -----
-- B-Smart Initial Release              12-JUN-15   Generis           14.6
--------------------------------------------------------------------------------
--
-- SET SERVEROUTPUT ON SIZE 1000000
SET VERIFY OFF
--
SET SCAN OFF
--
PROMPT
PROMPT Script to apply MDD change 15/012
PROMPT
PROMPT Version 14.6
PROMPT
--
PROMPT
PROMPT Apply add SCK to MANUFACTURER table (MDD 15/012)
PROMPT
--
DECLARE

  invalid_column      EXCEPTION;
  is_snapshot         EXCEPTION;
  row_exists          EXCEPTION;
  fk_violated         EXCEPTION;
  PRAGMA EXCEPTION_INIT(invalid_column, -904);
  PRAGMA EXCEPTION_INIT(is_snapshot, -1732);
  PRAGMA EXCEPTION_INIT(row_exists, -1);
  PRAGMA EXCEPTION_INIT(fk_violated, -2292);

BEGIN

  EXECUTE IMMEDIATE  'INSERT INTO MANUFACTURER (MANUFACTURER_CODE,MANUFACTURER_DESCRIPTION,CREATED_USER_ID,
                                                CREATED_MARKET_PARTICIPANT,CREATED_DATE)
                      VALUES(''SCK'',''SICK MAIHAK'',''MDD_15_012'',''BSMART'',SYSDATE)';

EXCEPTION
  WHEN is_snapshot OR invalid_column OR row_exists THEN
    NULL;
END;
/
--
SET SCAN ON
--
COMMIT
/
--
SET VERIFY ON
--
